<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNav extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('nav', function (Blueprint $table) {

            $table->increments('id');
            $table->timestamps();

            $table->integer('pid')->comment('父ID')->nullable();
            $table->integer('sort')->comment('排序，越小越靠前')->nullable();

            $table->string('name', 20)->nullable()->comment('');
            $table->string('link', 200)->nullable()->comment('');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
